"use strict";

exports.__esModule = true;
exports["default"] = void 0;
// TODO: 2.0插件传参修改，不支持直接options: Options
var plugin = function plugin(ctx, options) {
  return {
    name: 'com.alibaba.lowcode.workflow.pane',
    width: 600,
    // 依赖的插件（插件名数组）
    dep: [],
    // 插件对外暴露的数据和方法
    exports: function exports() {
      return {};
    },
    // 插件的初始化函数，在引擎初始化之后会立刻调用
    init: function init() {
      var dataSourceTypes = ctx.preference.getPreferenceValue('dataSourceTypes') || options.dataSourceTypes;
      var importPlugins = ctx.preference.getPreferenceValue('importPlugins') || options.importPlugins;
      var schemaDock = ctx.skeleton.add({
        area: 'leftArea',
        name: 'workflowDesignerPane',
        type: 'PanelDock',
        props: {
          icon: 'shujuyuan',
          description: 'Workflow'
        },
        panelProps: {
          width: '600px'
          // title: '源码面板',
        },
        content: /*#__PURE__*/React.createElement("div", null, "asdfadf"),
        contentProps: {
          importPlugins: importPlugins,
          dataSourceTypes: dataSourceTypes,
          event: ctx.event,
          project: ctx.project,
          logger: ctx.logger,
          setters: ctx.setters
        }
      });
      schemaDock && schemaDock.disable();
      ctx.project.onSimulatorRendererReady(function () {
        schemaDock.enable();
      });
    }
  };
};
plugin.pluginName = 'WorkflowDesignerPane';
plugin.meta = {
  preferenceDeclaration: {
    title: 'Workflow Designer panel plugin',
    properties: [{
      key: 'importPlugins',
      type: 'array',
      description: ''
    }, {
      key: 'dataSourceTypes',
      type: 'array',
      description: 'Datasource types'
    }]
  }
};
var _default = exports["default"] = plugin;